Skip to main content
GET
/
{locale}
/
shop
/
loyalty-cards
/
balance
curl -X GET "https://staging-api.loyalty.lt/en/shop/loyalty-cards/balance?card_number=123-456-789" \
  -H "X-API-Key: your_api_key" \
  -H "X-API-Secret: your_api_secret"
{
  "success": true,
  "code": 200,
  "request_id": "550e8400-e29b-41d4-a716-446655440000",
  "message": "Balance retrieved successfully",
  "data": {
    "card_id": 567,
    "card_number": "123-456-789",
    "points": 1250
  }
}

Get Points Balance

Retrieve a customer’s current points balance. This is a lightweight endpoint that returns only the essential balance information.
This endpoint requires Shop API authentication (X-API-Key and X-API-Secret headers).

Base URL

EnvironmentURL
Staginghttps://staging-api.loyalty.lt/{locale}/shop/loyalty-cards/balance
Productionhttps://api.loyalty.lt/{locale}/shop/loyalty-cards/balance

Query Parameters

The card_number parameter accepts both the card number (e.g., 123-456-789) and the QR code UUID value. This allows you to search by whatever value you have scanned.
card_number
string
Loyalty card number (e.g., 123-456-789) or QR code value (UUID)
card_id
integer
Loyalty card ID
user_id
integer
User ID to find their card
At least one query parameter is required.

Request Example

curl -X GET "https://staging-api.loyalty.lt/en/shop/loyalty-cards/balance?card_number=123-456-789" \
  -H "X-API-Key: your_api_key" \
  -H "X-API-Secret: your_api_secret"

Response

{
  "success": true,
  "code": 200,
  "request_id": "550e8400-e29b-41d4-a716-446655440000",
  "message": "Balance retrieved successfully",
  "data": {
    "card_id": 567,
    "card_number": "123-456-789",
    "points": 1250
  }
}

Response Fields

card_id
integer
Loyalty card ID
card_number
string
Loyalty card number in format XXX-XXX-XXX
points
integer
Current points balance (non-expired points only)

Error Codes

CodeStatusDescription
1100422Validation error - at least one query parameter required
1200404Loyalty card not found
1004401Partner not authenticated

Get Loyalty Card Info

Get full card details including user info and redemption settings

Create Transaction

Award or redeem points in a purchase transaction